Bug 448730 - Summary: SELinux is preventing ps (dhcpc_t) "sys_nice" to <Unknown> (dhcpc_t).
Summary: SELinux is preventing ps (dhcpc_t) "sys_nice" to <Unknown> (dhcpc_t).
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-28 09:48 EDT by John Preston
Modified: 2008-07-02 15:08 EDT (History)
1 user (show)

See Also:
Fixed In Version: 7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-02 15:08:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Preston 2008-05-28 09:48:58 EDT
Summary:

SELinux is preventing ps (dhcpc_t) "sys_nice" to <Unknown> (dhcpc_t).

Detailed Description:

[SELinux is in permissive mode, the operation would have been denied but was
permitted due to permissive mode.]

SELinux denied access requested by ps. It is not expected that this access is
required by ps and this access may signal an intrusion attempt. It is also
possible that the specific version or configuration of the application is
causing it to require additional access.

Allowing Access:

You can generate a local policy module to allow this access - see FAQ
(http://fedora.redhat.com/docs/selinux-faq-fc5/#id2961385) Or you can disable
SELinux protection altogether. Disabling SELinux protection is not recommended.
Please file a bug report (http://bugzilla.redhat.com/bugzilla/enter_bug.cgi)
against this package.

Additional Information:

Source Context                unconfined_u:system_r:dhcpc_t:s0
Target Context                unconfined_u:system_r:dhcpc_t:s0
Target Objects                None [ capability ]
Source                        ps
Source Path                   /bin/ps
Port                          <Unknown>
Host                          jroam
Source RPM Packages           procps-3.2.7-20.fc9
Target RPM Packages           
Policy RPM                    selinux-policy-3.3.1-51.fc9
Selinux Enabled               True
Policy Type                   targeted
MLS Enabled                   True
Enforcing Mode                Permissive
Plugin Name                   catchall
Host Name                     jroam
Platform                      Linux jroam 2.6.25.3-18.fc9.i686 #1 SMP Tue May 13
                              05:38:53 EDT 2008 i686 i686
Alert Count                   1
First Seen                    Sun 25 May 2008 10:16:09 AM EST
Last Seen                     Sun 25 May 2008 10:16:09 AM EST
Local ID                      055c270a-b821-45cd-8ff5-5ad643e85aae
Line Numbers                  

Raw Audit Messages            

host=jroam type=AVC msg=audit(1211728569.123:28): avc:  denied  { sys_nice } for
 pid=4072 comm="ps" capability=23 scontext=unconfined_u:system_r:dhcpc_t:s0
tcontext=unconfined_u:system_r:dhcpc_t:s0 tclass=capability

host=jroam type=SYSCALL msg=audit(1211728569.123:28): arch=40000003 syscall=3
success=yes exit=194 a0=5 a1=a7a960 a2=3ff a3=a7a900 items=0 ppid=4071 pid=4072
auid=500 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=pts0 ses=1
comm="ps" exe="/bin/ps" subj=unconfined_u:system_r:dhcpc_t:s0 key=(null)
Comment 1 Sander Hoentjen 2008-05-29 04:13:13 EDT
seems to me this is for procps, not pymsn
Comment 2 Tomas Smetana 2008-05-29 04:27:45 EDT
This is probably a selinux-policy issue: dhcp client should be allowed to call
sysctl.
Comment 3 Daniel Walsh 2008-05-29 09:02:47 EDT
Why is the ps command calling sys_nice?
Comment 4 Daniel Walsh 2008-07-02 15:08:59 EDT
Fixed in selinux-policy-3.3.1-72.fc9.noarch

Note You need to log in before you can comment on or make changes to this bug.